d3.csv('https://gist.githubusercontent.com/gallachaitanya/4579a9d70515df238dd8f72f02b45de4/raw/b26491926f272a51014709395b49c4f573faf71d/iris.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'sepal_length'), y: unpack(rows, 'sepal_width'), z: unpack(rows, 'petal_length'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rmba(213, 217, 217, 0.14)',
		width: 0.4},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'sepal_length'), y: unpack(rows, 'sepal_width'), z: unpack(rows, 'petal_width'),
	mode: 'markers',
	marker: {
		color: 'rgb(200, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.1},
	type: 'scatter2d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
